import { ec as EC } from "elliptic";
import { type PublicClient } from "viem";
import type { Dex } from "./types/dex";
import type { CreateSessionKeyRequestOutput, CreateSwapRequestInput, CreateSwapRequestOutput, UserOperation } from "./types/smartAccountV1";
export declare class SmartAccountV1Provider {
    readonly ecdsa: EC;
    publicClient: PublicClient;
    authorizer?: `0x${string}`;
    factory?: `0x${string}`;
    dex?: Dex;
    constructor(publicClient: PublicClient, authorizer?: `0x${string}`, factory?: `0x${string}`, dex?: Dex);
    setDex(dex: Dex): void;
    setAuthorizer(authorizer: `0x${string}`): void;
    setFactory(factory: `0x${string}`): void;
    createSessionKeyRequest(smartAccount: `0x${string}`, sessionNonce: bigint): Promise<CreateSessionKeyRequestOutput>;
    aggregateClientSignatures(ownerSignature: `0x${string}`, sessionSignature: `0x${string}`, sessionNonce: bigint): `0x${string}`;
    createSwapRequest(createSwapRequestInput: CreateSwapRequestInput): Promise<CreateSwapRequestOutput>;
    getSmartAccountAddress(owner: `0x${string}`, salt: bigint): Promise<`0x${string}`>;
    getNonceForSmartAccount(smartAccount: `0x${string}`, dexFactory: `0x${string}`, tokenIn: `0x${string}`, tokenOut: `0x${string}`, fee: number, suffixId: number): Promise<bigint>;
    calculateVerificationGasLimitV1(userOp: UserOperation): Promise<bigint>;
    calculateExecuteBatchGasLimit(smartAccount: `0x${string}`, dest: `0x${string}`[], value: bigint[], func: `0x${string}`[]): Promise<bigint>;
}
//# sourceMappingURL=smartAccountV1Provider.d.ts.map